<html>
<head>
<link rel="stylesheet" type="text/css" href="satallax.css"/>
<title>
Satallax
</title>
</head>
<body>
<div style="float:right; text-align:right;">
<br/><img src="trophy2011.jpg" alt="Satallax CASC-23 Trophy" title="Satallax CASC-23 Trophy" width=340/><br/>
<b><a href="http://www.cs.miami.edu/~tptp/CASC/23/WWWFiles/DivisionSummary1.html">CASC-23 THF Division Winner</a><br/>(<a href="http://www.cs.miami.edu/~tptp/CASC/23/WWWFiles/Results.html">Detailed Results</a>)</b><br/>
<b><a href="http://www.cs.miami.edu/~tptp/CASC/24/WWWFiles/DivisionSummary1.html">CASC-24 THF Division Runner Up/Winner</a><br/>(<a href="http://www.cs.miami.edu/~tptp/CASC/24/WWWFiles/Results.html">Detailed Results</a>)</b><br/>
<b><a href="http://www.cs.miami.edu/~tptp/CASC/J7/WWWFiles/DivisionSummary1.html">CASC-J7 THF Division Runner Up/Winner</a><br/>(<a href="http://www.cs.miami.edu/~tptp/CASC/J7/WWWFiles/Results.html">Detailed Results</a>)</b><br/>
<b><a href="http://www.cs.miami.edu/~tptp/CASC/25/WWWFiles/DivisionSummary1.html">CASC-25 THF Division Winner</a><br/>(<a href="http://www.cs.miami.edu/~tptp/CASC/25/WWWFiles/Results.html">Detailed Results</a>)</b><br/>
</div>
<img style="float:top" src="SatallaxLogo3.jpg" alt="Satallax Logo" title="Satallax Logo"/><br/>
<div class="navigatecontainer"><span class="navigate">
<a href="index.php">Main</a>
<a href="downloads.php">Downloads</a>
<a href="people.php">People</a>
</span></div>
<div>Satallax is an automated theorem prover for higher-order logic.
The particular form of higher-order logic supported by Satallax
is Church's simple type theory with extensionality and choice operators.
The SAT solver 
<a href="http://www.minisat.se/">MiniSat</a> is responsible for much of the search for a proof.
Satallax generates propositional clauses corresponding to rules of a complete tableau calculus
and calls MiniSat periodically to test satisfiability of these clauses.
Satallax is implemented in <a href="http://caml.inria.fr/ocaml/">Objective Caml</a>.
You can run Satallax online at the <a href="http://www.cs.miami.edu/~tptp/cgi-bin/SystemOnTPTP">
System On TPTP</a> website.
</div>
<h2>News</h2>
<div><b>May, 2016:</b> Major new release forthcoming
</div>
<div><b>July, 2014:</b> Once again two versions of Satallax competed 
in the <a href="http://www.cs.miami.edu/~tptp/CASC/J7/WWWFiles/DivisionSummary1.html">THF (higher-order) Division</a>
of <a href="http://www.cs.miami.edu/~tptp/CASC/J7/">CASC-J7</a> and came in first and second.
<!-- Satallax-MaLeS 1.3 came in first solving 333 of 400 problems.
Satallax 2.7 (the latest "official" version available on this site) came in second solving solving 324 of 400 problems.
-->
<a href="https://code.google.com/p/males/">Satallax-MaLeS 1.3</a> is an alternative version of Satallax in which the strategy schedule
for was computed using machine learning techniques.
<a href="http://www.cs.ru.nl/~kuehlwein/">Daniel Kuehlwein</a> is responsible for Satallax-MaLeS.
<!--
In addition there were divisions for 
<a href="http://www.cs.miami.edu/~tptp/CASC/J7/WWWFiles/Results.html#TNEProblems">TNE (THF without equality)</a>
and
<a href="http://www.cs.miami.edu/~tptp/CASC/J7/WWWFiles/Results.html#TEQProblems">TEQ (THF with equality)</a>.
In the TNE division Satallax 2.7 came in first solving 128 of 150 problems
and Satallax-MaLeS 1.3 came in second solving 126 of 150 problems.
(Isabelle 2013 also solved 126 of 150 of the problems in the TNE division.)
In the TEQ division Satallax-MaLeS 1.3 came in first solving 207 of 250 problems
and Satallax 2.7 came in second solving 196 of 250 problems.
-->
</div>
<div><b>June, 2013:</b> Two versions of Satallax competed
in the <a href="http://www.cs.miami.edu/~tptp/CASC/24/WWWFiles/DivisionSummary1.html">THF (higher-order) Division</a>
of <a href="http://www.cs.miami.edu/~tptp/CASC/24/">CASC-24</a> and came in first and second.
Satallax-MaLeS 1.2 came in first solving 119 of 150 problems.
Satallax 2.7 (the latest "official" version available on this site) came in second solving solving 116 of 150 problems.
<a href="https://code.google.com/p/males/">Satallax-MaLeS 1.2</a> is an alternative version of Satallax in which the strategy schedule
for was computed using machine learning techniques.
<a href="http://www.cs.ru.nl/~kuehlwein/">Daniel Kuehlwein</a> is responsible for Satallax-MaLeS.
</div>
<div><b>July, 2012:</b> Satallax 2.4 came in second (or third) behind Isabelle 2012 (Sledgehammer)
in the <a href="http://www.cs.miami.edu/~tptp/CASC/J6/WWWFiles/DivisionSummary1.html">THF (higher-order) Division</a> of <a href="http://www.cs.miami.edu/~tptp/CASC/J6/">CASC-J6</a>.
A demonstration system Isabelle-HOT 2012 which calls the higher-order provers Satallax and LEO (in addition to calling first-order systems and SMT solvers) was significantly better than all the other systems. Satallax 2.4 solved about 5% more problems than last year's winner, Satallax 2.1.</div>
<div><b>August, 2011:</b> Satallax 2.1 won the <a href="http://www.cs.miami.edu/~tptp/CASC/23/WWWFiles/DivisionSummary1.html">THF (higher-order) Division</a> of <a href="http://www.cs.miami.edu/~tptp/CASC/23/">CASC-23</a>
(<a href="http://www.cs.miami.edu/~tptp/CASC/23/WWWFiles/Results.html">Detailed Results</a>).</div>
<div><b>February, 2011:</b> Satallax has been reimplemented in Objective Caml and released as Satallax 2.0.</div>
<div><b>July, 2010:</b> Satallax 1.4 came in second in the higher-order THF division of <a href="http://www.cs.miami.edu/~tptp/CASC/J5/">CASC-J5</a>. (Click <a href="http://www.cs.miami.edu/~tptp/CASC/J5/WWWFiles/ResultsSummary.html">here</a> for results
and <a href="http://www.cs.miami.edu/~tptp/CASC/J5/WWWFiles/Results.html#THFProblems">here</a> for detailed results.)
Satallax won the best new system award.</div>
<h2>Downloads</h2>
<div>The most recent version is below.  All versions are available <a href="downloads.php">here</a>.</div>
<?php
include("downloadscode.php");
latestdownload();
?>
<h2>Brief Description</h2>
<div>
Satallax progressively generates higher-order formulas and corresponding
propositional clauses.  These formulas and propositional clauses correspond to a
complete tableau calculus for higher-order logic with a choice operator.
Satallax uses the SAT solver 
<a href="http://www.minisat.se/">MiniSat</a> as an engine to test the current set of propositional clauses
for unsatisfiability.
If the clauses are unsatisfiable, then the original set of higher-order formulas is unsatisfiable.
If there are no quantifiers at function types, the generation of higher-order formulas
and corresponding clauses may terminate.  In such a case, if MiniSat reports the final
set of clauses as satisfiable, then the original set of higher-order formulas is satisfiable.
</div>
<!--
<h2>License</h2>
<div>Satallax is distributed under the MIT license.
</div>
-->
<h2></h2>
<hr/>
<div class="forsearchengines">
The theorem prover Satallax is spelled <i>Satallax</i>, as opposed to any of the following:
<i>Satellax</i>, <i>Satillax</i>, <i>Satalax</i>, <i>Sattalax</i>, <i>Satelax</i>, <i>Sattilax</i>,
and so on.  This footnote is included to help search engines.
</div>
</body></html>
